### Method

# Gio DBusMethodInvocation get_message

since: 2.26

#### Declaration

    GDBusMessage*
    g_dbus_method_invocation_get_message (
      GDBusMethodInvocation* invocation
    )

#### Description

Gets the `GDBusMessage` for the method invocation. This is useful if you need to use low-level protocol features, such as UNIX file descriptor passing, that cannot be properly expressed in the `GVariant` API.

See this [server][gdbus-server] and [client][gdbus-unix-fd-client] for an example of how to use this low-level API to send and receive UNIX file descriptors.

Available since: 2.26

#### Return value

Type: `GDBusMessage`

`GDBusMessage`. Do not free, it is owned by `invocation`.

The data is owned by the instance.